### Hierarchy

- SettingsPageProps
  - SettingsPageDesktopProps

### Indexable

[key: string]: any

## Index

### Properties

- exact
- items
- name
- navigationOptions
- navigator
- path
- screen
- styles

## Properties

### Optional exact

exact: undefined | false | true

Inherited from RouteConfig.exact

- Defined in node_modules/@bluebase/components/dist/components/Navigation.d.ts:38

Should route match exact path pattern?

### items

items: SettingsPageItemProps[]

Inherited from SettingsPageProps.items

- Defined in src/layouts/SettingsPage/index.ts:8

### name

name: string

Inherited from RouteConfig.name

- Defined in node_modules/@bluebase/components/dist/components/Navigation.d.ts:32

Name of route

### Optional navigationOptions

navigationOptions: MaybeThunk<NavigationOptions>

Inherited from RouteConfig.navigationOptions

- Defined in node_modules/@bluebase/components/dist/components/Navigation.d.ts:40

Navigation options

### Optional navigator

navigator: NavigatorProps

Inherited from RouteConfig.navigator

- Defined in node_modules/@bluebase/components/dist/components/Navigation.d.ts:42

Child Navigator

### path

path: string

Inherited from RouteConfig.path

- Defined in node_modules/@bluebase/components/dist/components/Navigation.d.ts:36

URL

### Optional screen

screen: React.ComponentType<any> | string

Inherited from RouteConfig.screen

- Defined in node_modules/@bluebase/components/dist/components/Navigation.d.ts:34

Screen component

### Optional styles

styles: Partial<SettingsPageDesktopStyles>

- Defined in src/layouts/SettingsPage/SettingsPageDesktop.tsx:17

Generated using TypeDoc